Skip to main content
GET
/
v3
/
languages
/
exceptions
Retrieve Language Pair Exceptions
curl --request GET \
  --url https://api.deepl.com/v3/languages/exceptions \
  --header 'Authorization: <api-key>'
[
  {
    "source_lang": "uk",
    "target_lang": "ru",
    "features": [
      "tag_handling",
      "glossary"
    ]
  }
]
This endpoint is available for testing in BETA. Breaking changes may be pushed with little or no advance notice, and we provide no guarantees of stability.

Authorizations

Authorization
string
header
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Query Parameters

product
enum<string>
required

The product for which to retrieve language pair exceptions. Required.

Available options:
translate_text,
translate_document,
glossary,
voice,
write

Response

JSON array where each item represents a language pair with exceptional feature support.

source_lang
string
required

The source language code of the language pair.

Example:

"uk"

target_lang
string
required

The target language code of the language pair.

Example:

"ru"

features
string[]
required

The actual features supported for this specific language pair, which differs from the features reported for the source or target language individually.

Example:
["tag_handling", "glossary"]